PhpStorm 2016.3.1 EAP 163.8703

We are glad to announce the start of Early Access Program for PhpStorm 2016.3.1, which is a bug fix update for the recently released PhpStorm 2016.3. A fresh build 163.8703 is available for download, in JetBrains Toolbox or, if you have installed PhpStorm 2016.3 and have “Early Access Program” channel in Settings->System Settings->Updates, you should soon get a notification in the IDE about a patch update.

This build delivers new features, bug fixes and improvements for PHP and the Web, and takes on the latest improvements in IntelliJ Platform.

Variable name completion for compact function arguments

When you invoke completion inside compact function string argument, you will see the list of current file variables. On the second completion invocation, you will see all global variables.

See the full list of bug-fixes and improvements list in our issue tracker and the complete release notes.


Download PhpStorm 2016.3.1 EAP build 163.8703 for your platform from the project EAP page or click “Update” in your JetBrains Toolbox and please do report any bugs and feature request to our Issue Tracker.

Your JetBrains PhpStorm Team
The Drive to Develop

This entry was posted in Early Access Program. Bookmark the permalink.
  • https://www.martinhujer.cz Martin Hujer
    • Maxim Kolmakov

      Unfortunately, we haven’t planned the exact version for the fix yet (it’s indicated by x.x.pool in Fix Version field).

  • Szerémi Attila

    Please fix the terminal foreign keyboard regression :(
    https://youtrack.jetbrains.com/issue/IDEA-115276#u=1460969344215

    • Maxim Kolmakov

      Sorry for the delay. The fix will be available in the next EAP/minor update.

  • Константин

    I cann’t apply patch because of error.

    Connection Error
    Failed to prepare an update:
    Cannot download ‘https://download.jetbrains.com/webide/PS-163.7743.50-163.8703.22-patch-win.jar’: Received fatal alert: handshake_failure
    Open download page.

    Only full download and reinstall.

  • https://smyl.es/ Myles McNamara

    Currently on build 163.7743.39 of 2016.3 with EAP enabled in update settings, but doesn’t show any patches available, only says go to site to download update

    • Maxim Kolmakov

      We’ve provided patches only from the release version 163.7743.50 and not from the release candidate (163.7743.39).

  • The NeverGone
  • Przemysław

    After install this update, Symfony plugin has crashed, fix this please